#MapInfoWindow {
    min-width: 300px;
    max-width: 90vw;
    padding: 0 7px;
}

html:not(:lang(ja)) #MapInfoWindow {
    min-width: min(420px, 90vw)
}

#MIWTitle{
    padding: 0 8px;
    margin-bottom: 8px;
    color: #026eb8;
    font-size: 22px;
}

#MIWLinks {
    margin: 12px 0;
}

#MIWLinks > div {
    display: flex;
    justify-content: center;
    align-items: center;
}

#MIWLinks > div a {
    display: inline-block;
    transition: 0.3s ease-in-out;
    padding: 0 6px;
    line-height: 1.2;
    white-space: normal;
}

#MIWLinks > div a + a {
    border-left: 1px solid #ccc;
}


#MIWActions {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
    text-align: center;
    gap: 8px;
    align-items: center;
    justify-content: center;
    padding: 2px 0 0;
    margin-bottom: 4px;
}

html:not(:lang(ja)) #MIWActions {
    grid-template-columns: repeat(auto-fit, minmax(170px, 1fr));
}

#MIWStartPosButton,#MIWEndPosButton{
    padding: 5px 10px;
    border: 0;
    border-radius: 0.2em;

    cursor: pointer;
    font-weight: 600; 
    font-size: 19px;
    /* max-width: 160px; */

    outline-color: #000;
}
#MIWStartPosButton span,
#MIWEndPosButton span {
    width: 100%;
}

#MIWStartPosButton{
    color: #FFF;
    background: #31A59B;
}
#MIWEndPosButton{
    color: #FFF;
    background: #ea486e;
}